import React from "react";
import { type SchemaFormAntdProps, type ReactSchemaFormAntdRefProps } from "@ruiyun/react-schema-form-antd";
import { type ReactSchemaModalAntdProps, type ReactSchemaModalAntdRef } from "@ruiyun/react-schema-modal-antd";
export type FormProps = Omit<SchemaFormAntdProps, "onSubmit"> & {
    onSubmit?: (formData: any) => Promise<boolean>;
    getDefaultValue?: (params: any) => any | Promise<any>;
    onSubmitSuccess?: () => void;
};
export type ModalProps = Omit<ReactSchemaModalAntdProps, "render"> & {
    titleSuffix?: string;
};
export interface ReactSchemaModalFormAntdProps {
    formProps: FormProps;
    modalProps?: ModalProps;
}
export type ReactSchemaModalFormAntdRef = ReactSchemaModalAntdRef & ReactSchemaFormAntdRefProps;
export declare const ReactSchemaModalFormAntd: React.ForwardRefExoticComponent<ReactSchemaModalFormAntdProps & React.RefAttributes<ReactSchemaModalFormAntdRef>>;
